@import "variables";
@import "media";
.scroll {
  background-color: #333; /* Колір фону заголовка під час прокрутки */
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 16px;
}

.main-titel {
  color: #FFF;
  font-family: $prime-font;
  font-size: 5em;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  max-width: 1200px;
}

.slogan {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(253deg, #FFEE32 -13.48%, #D6D6D6 125.48%);

  h1 {
    padding: 3em 0 0 2em;
  }

  .header {
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 80px;
    position: fixed;
    z-index: 1  ;
    left: 0;
    right: 0;
    .burger-menu{
      display: block;
      border-radius: 20px;
      border: 2px solid #FFF;
      padding: 20px;
      background: none;
    }
    &__menu {
      display: none;
      justify-content: space-between;
      gap: 20px;

      &--item {
        text-decoration: none;
        border-radius: 20px;
        border: 1px solid #FFF;
        color: #FFF;
        font-family: $secondary-font;
        font-size: 1em;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        padding: 10px;
      }

    }

  }

}

.introduction__block--titel {
  color: #FFF;
  font-family: $prime-font;
  font-size: 48px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

.introduction {
  background-color: $main-black;
  background-image: url("/images/Group 3.png");
  background-repeat: no-repeat;
  background-position-x: right;
  background-position-y: center;
  background-size: 330px;
  padding: 3em 0em 3em 11em;

  .introduction__block {
    max-width: 31em;

    &--text {
      margin: 20px 0;
      color: #FFF;
      font-family: $secondary-font;
      font-size: 1em;
      font-style: normal;
      font-weight: 500;
      line-height: normal;
    }

    &--numbers {
      display: grid;
      grid-template-rows: auto auto;
      grid-template-columns: auto auto auto;
    }
  }

  .titel--yellow {
    color: #FAEB49;
  }
}

.projects {
  padding: 5em;
  background-color: #3C3C3C;
  height: 106em;

  .card__container {
    max-width: 80em;
    margin: 0 auto;
    height: 60em;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto;
    gap: 2em;

    &--img {
      width: 100%;
      height: 31em;
      border-radius: 24px;
    }

    &--item {
      border-radius: 24px;
      background: #FFFEF2;
      padding: 2em;
    }

    &--titel {
      color: #565656;
      font-family: $prime-font;
      font-style: normal;
      font-weight: 600;
      line-height: normal;
      margin: 1em 0em 1em 0em;
    }

    &--description {
      color: #000;
      font-family: $secondary-font;
      font-size: 1em;
      font-style: normal;
      font-weight: 700;
      line-height: normal;
    }
  }
  .big--card {
    grid-column: span 3;
  }
  .last--card{
    display: none;
  }
}



.big--titel {
  font-size: 2.5em;
}

.normal-tittel {
  font-size: 1.5em;
}

.design {
  background-color: $main-black;
  height: 80em;
  padding: 1em;

  h2 {
    padding: 1em 0 1em 1em;
  }

  &__card-container {
    max-width: 80em;
    margin: 0 auto;
    height: 60em;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto;
    gap: 2em;
  }

  img {
    width: 100%;
    height: 100%;
    border-radius: 20px;
  }

  .big-img {
    grid-column: span 2;
    position: relative;
    &:before{
      position: absolute;
      width: 100px;
      height: 100px;
      background-image: url("/images/star.svg");
      left: 0;
      right: 0;
    }
  }
}

.center-text {
  margin: 0 auto;
  text-align: center;
  max-width: 1280px;
}

.introduction__block--bottom {
  background-image: url("/images/Rectangle 8.jpg");
  height: 50em;
  display: flex;
  align-items: center;
}

.footer {
  background-color: $main-black;
  height: 30em;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  &__link {
    margin: 0 auto;
    display: flex;
    padding: 42px;
    align-items: flex-start;
    gap: 10px;
    border-radius: 139px;
    border: 1px solid var(--Gray-6, #F2F2F2);
    justify-content: center;
    max-width: 80em;

    &--item {
      color: #FFF;
      text-align: center;
      font-family: $secondary-font;
      font-size: 24px;
      font-style: normal;
      font-weight: 500;
      line-height: normal;
    }
  }

  &__bottom {
    ul {
      display: flex;
      gap: 2em;
      justify-content: center;
      padding-top: 8em;
    }
      &--text {
        color: #FFF;
        text-align: center;
        font-family: $secondary-font;
        font-size: 16px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        padding-top: 1em;
      }
  }
}
